LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleRelationSet Interface Reference

Implement this interface to give access to an object's set of relations. More...

`import"XAccessibleRelationSet.idl";`

Inheritance diagram for XAccessibleRelationSet:

## Public Member Functions
long | getRelationCount ()
| Returns the number of relations in this relation set. More...
AccessibleRelation | getRelation ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the relation of this relation set that is specified by the given index. More...
boolean | containsRelation ([in] ::com::sun::star::accessibility::AccessibleRelationType eRelationType)
| Tests whether the relation set contains a relation matching the specified key. More...
AccessibleRelation | getRelationByType ([in] ::com::sun::star::accessibility::AccessibleRelationType eRelationType)
| Retrieve and return the relation with the given relation type. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Implement this interface to give access to an object's set of relations.

Such relation are modeled with the AccessibleRelation structure. This interface is used for representing sets of relations between Accessible objects. Most of the convenience methods of the corresponding AccessibleRelationSet interface of the Java Accessibility API have been removed from this interface in order to clean it up. These methods are add(), addAll(), clear(), and remove(). The other methods have been renamed to achieve a greater conformance with the other accessibility interfaces.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ containsRelation()

boolean containsRelation | ( | [in] ::com::sun::star::accessibility::AccessibleRelationType | eRelationType | ) |

Tests whether the relation set contains a relation matching the specified key.

Parameters

  eRelationType | The type of relation to look for in this set of relations.

Returns
  Returns `TRUE` if there is a (at least one) relation of the given type and `FALSE` if there is no such relation in the set.

## ◆ getRelation()

AccessibleRelation getRelation | ( | [in] long | nIndex | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Returns the relation of this relation set that is specified by the given index.

Parameters

  nIndex | This index specifies the relation to return.

Returns
  For a valid index, i.e. inside the range 0 to the number of relations minus one, the returned value is the requested relation. If the index is invalid then the returned relation has the type INVALID.

## ◆ getRelationByType()

AccessibleRelation getRelationByType | ( | [in] ::com::sun::star::accessibility::AccessibleRelationType | eRelationType | ) |

Retrieve and return the relation with the given relation type.

Parameters

  aRelationType | The type of the relation to return.

Returns
  If a relation with the given type could be found than (a copy of) this relation is returned. Otherwise a relation with the type INVALID is returned.

## ◆ getRelationCount()

long getRelationCount | ( |  | ) |

Returns the number of relations in this relation set.

Returns
  Returns the number of relations or zero if there are none.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleRelationSet.idl